Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse 4 » e4 source code is giving some unexpected error(e4 source code build is failing due to some strange errors)
e4 source code is giving some unexpected error [message #649044] Mon, 17 January 2011 07:12 Go to next message
ramakant  is currently offline ramakant
Messages: 11
Registered: January 2011
Junior Member
Hi,

I am novice in e4 source code developement. I have downloaded the e4 code project from cvs repository. Now I am trying to create my project workspace for e4.

I am getting thousands of error and most of them are strange one:
e.g. The type List is not generic; it cannot be parameterized with arguments <IXWTInitializer>
The type Map is not generic; it cannot be parameterized with arguments <String, Object>

can some one help me on this. Am I doing it correctly.

It would be great if some one can guide me in project workspace creation for e4 project or direct me to the rite pointer.

Help is highly appreciated.

Thanks in advance.

~Ramakant
Re: e4 source code is giving some unexpected error [message #649045 is a reply to message #649044] Mon, 17 January 2011 07:25 Go to previous messageGo to next message
Paul Webster is currently offline Paul Webster
Messages: 6859
Registered: July 2009
Location: Ottawa
Senior Member

Which JVM are you using to run eclipse? it should be 1.5 or greater.
What JREs are listed under Preferences>Java>Installed JREs? They should
also include a 1.5 (and prefereably 1.6 ) JVMs

PW

--
Paul Webster
http://wiki.eclipse.org/Platform_Command_Framework
http://wiki.eclipse.org/Command_Core_Expressions
http://wiki.eclipse.org/Platform_Expression_Framework
http://wiki.eclipse.org/Menu_Contributions
http://wiki.eclipse.org/Menus_Extension_Mapping
http://help.eclipse.org/galileo/index.jsp?topic=/org.eclipse .platform.doc.isv/guide/workbench.htm


Re: e4 source code is giving some unexpected error [message #649049 is a reply to message #649045] Mon, 17 January 2011 07:37 Go to previous messageGo to next message
ramakant  is currently offline ramakant
Messages: 11
Registered: January 2011
Junior Member
Eclipse version: Version: 3.6.1
Build id: M20100909-0800

JVM: jdk1.5
jre listed in eclipse: jdk1.6.0_21

Please let me know if you need more information.
Re: e4 source code is giving some unexpected error [message #649050 is a reply to message #649045] Mon, 17 January 2011 07:38 Go to previous messageGo to next message
ramakant  is currently offline ramakant
Messages: 11
Registered: January 2011
Junior Member
Eclipse version: Version: 3.6.1
Build id: M20100909-0800

JVM: jdk1.6
jre listed in eclipse: jdk1.6.0_21

Please let me know if you need more information.
Re: e4 source code is giving some unexpected error [message #649055 is a reply to message #649050] Mon, 17 January 2011 07:43 Go to previous messageGo to next message
Paul Webster is currently offline Paul Webster
Messages: 6859
Registered: July 2009
Location: Ottawa
Senior Member

The errors you are getting are because when eclipse is trying to compile
those projects, it is using a 1.4 set of JRE libraries instead of 1.5.

If you expand one of the projects with errors, what does it list as "JRE
System Library" ?

PW

--
Paul Webster
http://wiki.eclipse.org/Platform_Command_Framework
http://wiki.eclipse.org/Command_Core_Expressions
http://wiki.eclipse.org/Platform_Expression_Framework
http://wiki.eclipse.org/Menu_Contributions
http://wiki.eclipse.org/Menus_Extension_Mapping
http://help.eclipse.org/galileo/index.jsp?topic=/org.eclipse .platform.doc.isv/guide/workbench.htm


Re: e4 source code is giving some unexpected error [message #649056 is a reply to message #649055] Mon, 17 January 2011 08:02 Go to previous messageGo to next message
ramakant  is currently offline ramakant
Messages: 11
Registered: January 2011
Junior Member
JRE System Library is also jdk1.6.0_21

I tried to change the compiler compliance level to 1.5 from 1.6 in eclipse, but I am still seeing those errors after the clean build.
Re: e4 source code is giving some unexpected error [message #649062 is a reply to message #649044] Mon, 17 January 2011 08:18 Go to previous messageGo to next message
Thomas Schindl is currently offline Thomas Schindl
Messages: 5245
Registered: July 2009
Senior Member
Which projects did you check out? Did you use our .psf?

I think you are *NOT* able to compile the current CVS with Eclipse 3.6.1
because we e.g. already switched to the generified OSGi-API, ... .

The best way to develop for e4 is to use one of our m-builds (at least
as you target platform!).

Tom

Am 17.01.11 13:12, schrieb ramakant:
> Hi,
>
> I am novice in e4 source code developement. I have downloaded the e4
> code project from cvs repository. Now I am trying to create my project
> workspace for e4.
>
> I am getting thousands of error and most of them are strange one:
> e.g. The type List is not generic; it cannot be parameterized with
> arguments <IXWTInitializer>
> The type Map is not generic; it cannot be parameterized with arguments
> <String, Object>
>
> can some one help me on this. Am I doing it correctly.
> It would be great if some one can guide me in project workspace creation
> for e4 project or direct me to the rite pointer.
>
> Help is highly appreciated.
>
> Thanks in advance.
>
> ~Ramakant
Re: e4 source code is giving some unexpected error [message #649110 is a reply to message #649062] Mon, 17 January 2011 12:38 Go to previous message
ramakant  is currently offline ramakant
Messages: 11
Registered: January 2011
Junior Member
Hi,

Could you please let me know the location of m-builds from where I can build my e4 project.

It would be great if you can guide me how to do create and build e4 project.
Previous Topic:XWT and ListViewer
Next Topic:How to find PartStacks? Not parts...
Goto Forum:
  


Current Time: Sat Jul 26 03:18:44 EDT 2014

Powered by FUDForum. Page generated in 0.02260 seconds